<template>
  <q-layout view="lHh Lpr lFf">
    <q-header>

      <q-toolbar>

        <q-toolbar-title>
          <router-link to="/">
            <q-avatar>
              <img src="../assets/contatexto.svg">
            </q-avatar>
          </router-link>
          
        </q-toolbar-title>
        
        <q-btn
          flat
          to="/artigos"
          class="extended-menu-link"
          >
          Artigos
        </q-btn>

        <q-btn
          flat
          to="/sobre"
          class="extended-menu-link"
          >
          Sobre
        </q-btn>

        <q-btn
          flat
          class="extended-menu-link"
          to="/"
          @click="openThis('https://www.paypal.com/donate?business=ZRNDWHDT2YV6S')"
        >
          <a 
            href="https://www.paypal.com/donate?business=ZRNDWHDT2YV6S" 
            target="_blank"
          >
            Colaborar
          </a>
        </q-btn>
      

        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="drawerRight = !drawerRight"
        />

      </q-toolbar>

    </q-header>

    <q-drawer
      side="right"
      v-model="drawerRight"
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8" 
        >
          Link essenciais
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
    <div class="footer">
      <p>
        CONTATEXTO {{new Date().getFullYear()}} • TODOS OS DIREITOS RESERVADOS
        <br>
        Criado e desenvolvido por
        <a 
          href="https://viniciusdeliz.com" 
          target="_blank"
        >
          viniciusdeliz.com
        </a>
      </p>
    </div>
  </q-layout>
</template>

<script>
import { openURL } from 'quasar'
import EssentialLink from 'components/EssentialLink.vue'

const linksData = [
  {
    title: 'Artigos',
    caption: 'Leia artigos que tratam sobre qualidade de textos',
    icon: 'chrome_reader_mode',
    link: '/#/artigos'
  },
  {
    title: 'Sobre',
    caption: 'Saiba mais sobre a iniciativa',
    icon: 'business',
    link: '/#/sobre'
  },
  {
    title: 'Colaborar',
    caption: 'Faça uma doação para o contatexto',
    icon: 'payments',
    link: 'https://www.paypal.com/donate?business=ZRNDWHDT2YV6S&currency_code=BRL',
    target: '_blank'
  },
];

export default {
  name: 'MainLayout',
  components: { EssentialLink },
  data () {
    return {
      drawerRight: false,
      essentialLinks: linksData,
      donateLink: 'https://www.paypal.com/donate?business=ZRNDWHDT2YV6S&currency_code=BRL',
    }
  },
  methods: {
    openThis() {
      openURL('https://www.paypal.com/donate?business=ZRNDWHDT2YV6S', console.log('not possible!'))
    }
  }
}
</script>

<style scoped>
  .q-avatar {
    border-radius: unset;
    height: unset;
    width: unset;
  }

  .q-btn {
    color: #00BA73;
  }

  .q-toolbar {
    min-height: 60px;
    padding: 0 20px;
  }

  .q-header {
    box-shadow: 0 3px 6px rgba(0,0,0,.07);
  }

  .footer {
    padding-top: 2rem;
    margin-left: 1.25rem;
    margin-right: 1.25rem;
    font-size: .75rem;
  }

  .q-toolbar .q-btn a {
    text-decoration: none;
  }

@media (min-width: 1023px) {
 .q-toolbar .q-btn {
   display: none;
  }

  .q-toolbar a.q-btn {
    display: block;
    padding-left: .5rem;
    padding-right: .5rem;
  }
}

@media (max-width: 1023px) {
   .q-toolbar .q-btn {
   display: block;
  }

  .q-toolbar a.q-btn {
    display: none;
  }
}

</style>
